incron 0.5.10

- Main Page
- Classes
- Files

- File List
- File Members

Defines
inotify-cxx.cpp File Reference

inotify C++ interface implementation More...

`#include <errno.h>`
`#include <unistd.h>`
`#include <fcntl.h>`
`#include <cstdio>`
`#include "inotify-cxx.h"`

## Defines
#define | PROCFS_INOTIFY_BASE "/proc/sys/fs/inotify/"
| procfs inotify base path
#define | DUMP_SEP
| dump separator (between particular entries)

## Detailed Description

inotify C++ interface implementation

inotify C++ interface

Copyright (C) 2006, 2007, 2008, 2012 Lukas Jelinek <lukas@aiken.cz>

This program is free software; you can redistribute it and/or modify it under the terms of one of the following licenses:

- 1. X11-style license (see LICENSE-X11)
- 2. GNU Lesser General Public License, version 2.1 (see LICENSE-LGPL)
- 3. GNU General Public License, version 2 (see LICENSE-GPL)

If you want to help with choosing the best license for you, please visit http://www.gnu.org/licenses/license-list.html.

Credits: Christian Ruppert (new include to build with GCC 4.4+)

## Define Documentation

#define DUMP_SEP

Value:

    ({ \
        if (!rStr.empty()) { \
          rStr.append(","); \
        } \
      })

dump separator (between particular entries)

#define PROCFS_INOTIFY_BASE "/proc/sys/fs/inotify/"

procfs inotify base path